input:not([type="checkbox"]), textarea, select {
    -webkit-appearance: none;
    box-sizing: border-box;
    text-align: center;
    text-align-last: center;
}
  
input::placeholder, textarea::placeholder {
    text-align: center;
}

body {
    font-family: 'Poppins', sans-serif;

}

.banner_home {
    width: 100%;
    max-width: 200px;
    display: block;
    margin: auto;
    margin-top: 20px;
    margin-bottom: 10px;
}

.banner {
    width: 40%;
    max-width: 200px;
    display: block;
    margin: auto;
    margin-top: 20px;
    margin-bottom: 40px;
}

.date-container {
    justify-content: center;
    width: 80%;
    max-width: 400px;
    margin: 10 auto;
    padding: 10px; /* Riduci il padding per ridurre lo spazio */
    border: 0 solid rgb(255, 255, 255);
    color: rgb(255, 255, 255);
    background-color: rgb(121, 123, 200);
    font-size: 16px;
    border-radius: 10px;
    font-family: 'Poppins', sans-serif;
    text-align: center;
    text-transform: uppercase;
 
}

.gruppo {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    width: 90%;
    margin: 10px;

    align-items: center;
    padding: 5px;
    font-weight: bold;
    font-size: 10px;
    text-align: center; /* Centra il testo */

    border: 2px solid rgb(121, 123, 200);
    color: white;
    background-color: rgb(121, 123, 200);
    border-radius: 8px;
}

.title {
    text-align: center;
    margin: 3px
}

.row {
    display: flex;
    justify-content: center;
    width: 100%;
    max-width: 900px;
    margin: 0 auto;
    font-size: 16px;
}

.col-f7{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 70%;
    padding: 0;
    margin: 5px;
    text-align: center; /* Centra il contenuto */
}

.col-f3{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 30%;
    padding: 0;
    margin: 5px;
    text-align: center; /* Centra il contenuto */
}

.row-reg {
    width: 100%;
    overflow-x: auto;
}

.col {
    display: flex;
    justify-content: center;
    width: 50%;
    padding: auto;
    margin: 5px;
    text-align: center; /* Centra il contenuto */
    gap: 20px; 
}

.col1 {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    padding: auto;
    margin: 10px;
    text-align: center; /* Centra il contenuto */
    gap: 20px; 
}

.col1-reg {
    padding: 10px;
    padding-bottom: 0px;
    text-align: center;
    min-width: 100%;
}

.col-f{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 50%;
    padding: 0;
    margin: 10px;
    text-align: center; /* Centra il contenuto */
}
.col1-f {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    padding: auto;
    margin: 10px;
    text-align: center; /* Centra il contenuto */
}

.col-95 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 95%;
    padding: 0;
    margin: 10px;
    text-align: center; /* Centra il contenuto */
}

.col-90 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 90%;
    padding: 0;
    margin: 10px;
    text-align: center; /* Centra il contenuto */
}

.col-80 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 80%;
    padding: 0;
    margin: 10px;
    text-align: center; /* Centra il contenuto */
}

.col-70 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 70%;
    padding: 0;
    margin: 10px;
    text-align: center; /* Centra il contenuto */
}

.col-60 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 60%;
    padding: 0;
    margin: 10px;
    text-align: center; /* Centra il contenuto */
}

.col-40 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 40%;
    padding: 0;
    margin: 10px;
    text-align: center; /* Centra il contenuto */
}

.col-20 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 20%;
    padding: 0;
    margin: 10px;
    text-align: center; /* Centra il contenuto */
}

.col-10 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 10%;
    padding: 0;
    margin: 10px;
    text-align: center; 
}

.col-5 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 5%;
    padding: 0;
    margin: 10px;
    text-align: center; 
}

.form {
    justify-content: center;
    align-items: center;
    max-width: 600px;
    margin: auto;
}
label {
    margin-bottom: 0;
}   

.form-container {
    width: 100%;
    margin: 0;
    padding: 10px; /* Riduci il padding per ridurre lo spazio */
    border: 2px solid rgb(49, 35, 132);
    color: rgb(49, 35, 132);
    background-color: transparent;
    font-size: 13px;
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    text-align: center;
}

.value-container {
    width: 100%;
    margin: 0;
    padding: 10px; /* Riduci il padding per ridurre lo spazio */
    border: 2px solid rgb(49, 35, 132);
    color: rgb(0, 0, 0);
    background-color: rgba(121, 124, 200, 0.226); 
    font-size: 16px;
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    text-align: center;
}

input, select {
    width: 100%;
    padding: 8px;
    font-size: 15px;
    box-sizing: border-box;
    margin: 5px 0; /* Riduci margine per gli input e select */
}

input[type="checkbox"] {
    min-width: 100%;
}

.select2 {
    border: 2px solid rgb(49, 35, 132);
    color: rgb(49, 35, 132);
    background-color: transparent !important;
    font-size: 16px;
    border-radius: 8px;
    padding-bottom: 5px;

}

.select2-selection {
    min-height: 60px !important;
    background-color: transparent !important;
}

.select2-selection--single {
    min-height: 50px !important;
    background-color: transparent !important;
}

.select2-dropdown {

    background-color: rgba(231, 231, 231, 0.897) !important;
    border: none;
    border-radius: 8px !important;
}

.select2-results__options {
    list-style: none;
    background-color: transparent !important;
    border: 2px solid rgb(49, 35, 132);
    min-height: 400px;
    border-radius: 8px;
    max-height: 100% !important;
    overflow-y: auto !important;
}

.select2-results__option[aria-selected="true"] {
    background-color: rgb(49, 35, 132) !important;
    color: white !important;
    /*display: none;*/
}
.select2 [aria-selected="false"] {
    background-color: transparent !important;
    color: rgb(49, 35, 132);
}

.select2-search--inline {
    display: none !important;
}

.select2-search__field {
    display: none !important;
}

.select2-search--dropdown {
    display: none !important;
}

.select2-dropdown {
    position: fixed !important;
    top: 50% !important;
    left: 50% !important;
    transform: translate(-50%, -50%) !important;
    width: 80% !important;
    max-width: 300px !important;
    z-index: 9999 !important;
    background-color: transparent !important;
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(6px);
    overflow-y: auto;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0,0,0,0.3);
    text-align: center;
}

.select2-selection--multiple {
    border: none !important;
}

.select2-selection--single {
    border: none !important;
}

#select2-nuova_attivita-container {
    padding-top: 15px !important;
    color: rgb(49, 35, 132);
}

#select2-nuova_attivita-results {
    min-height: 300px !important;
}

.select2-selection__arrow {
    display: none !important;
}

.select2-selection__clear{
    position: absolute;
    top: 0px !important;
    right: -5px !important;
}

.select2-placeholder-fake {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: rgb(49, 35, 132);
    font-size: 14px;
    pointer-events: none;
    white-space: nowrap;
    z-index: 1;
}
.select2-container--default .select2-container--focus.select2-placeholder-fake {
    color: transparent;
}

.select2-results__option--highlighted {
    background-color: rgba(255, 255, 255, 0) !important;
    color: black !important;
}

@media (min-width: 500px) {
    .select2-results__option--highlighted {
        background-color: rgb(49, 35, 132) !important;
        color: white !important;
    }
}
.accordion {
    margin-top: 16px;
    width: 100%;
    max-width: 500px;
    margin: 10px auto;
}
.accordion-item {
    margin-bottom: 8px;
}
.accordion-title {
    background:rgb(49, 35, 132);
    color: white;
    padding: 10px;
    cursor: pointer;
    border: 2px solid rgb(49, 35, 132);;
    width: 100%;
    text-align: center;
    font-family: 'Poppins', sans-serif;
    font-size: 12px;
    border-radius: 8px; /* ANGOLI ARROTONDATI */
}
        
.accordion-content {
    display: none;
    padding: 10px;
    background:rgba(249, 249, 249, 0);
    text-align: left;
    font-family: 'Poppins', sans-serif;
}

.table {
    padding: 15px;
    text-align: center;
    margin: auto;
    overflow-x: auto;
}

.table-reg {
    width: 80%;
    max-width: 100%;
    padding: 15px;
    text-align: center;
    margin: auto;
}

.registroTable  {
    padding: 15px;
    text-align: center;
    margin: auto;
}


.riga_report{
    padding: 10px;
    text-align: center;
    border-collapse: collapse;
    border-bottom: 2px dotted;
}
.riga_note {
    color: rgb(49, 35, 132);
    font-weight: bold;
    background-color: rgba(253, 255, 139, 0.342); 
    padding: 0 2px;

}

.submit {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;
    
    width: 90%;
    margin: 10px;
    padding: 10px;
    
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
    font-size: 20px;
    
    color: rgb(49, 35, 132);
    background: transparent;
    box-shadow: 5px 10px 30px rgba(49, 35, 132, 0.753);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    
    border-radius: 8px;
    text-decoration: none;
    text-align: center;
}
.submit:hover {
    background-color: rgb(49, 35, 132);
    color: white;
}

.pulsante {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;
    
    width: 90%;
    margin: 10px;
    padding: 10px;
    
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
    font-size: 20px;
    
    color: rgb(49, 35, 132);
    background: transparent;
    
    border-radius: 8px;
    border: 2px solid rgb(49, 35, 132);
    text-decoration: none;
    text-align: center;
}
.pulsante:hover {
    background-color: rgb(49, 35, 132);
    color: white;
}


.button {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    width: 90%;
    margin: 10px;

    align-items: center;
    padding: 10px;

    
    font-family: 'Poppins', sans-serif;
    font-size: 20px;
    
    border: 2px solid rgb(168, 41, 2);
    color: rgb(49, 35, 132);
    background-color: transparent;
    border-radius: 8px;

    text-decoration: none; /* Rimuove la sottolineatura dei link */
    text-align: center; /* Centra il testo */
    cursor: pointer;
    transition: all 0.3s ease;
}

/* Effetto hover */
.button:hover {
    background-color: rgb(168, 41, 2);
    color: white;
}

.mappa-button {
    background-color: rgb(255, 255, 255) !important;
    border: 2px solid rgb(49, 35, 132) !important;
    color: rgb(49, 35, 132) !important;
    padding: 10px;
    border-radius: 8px;
    width: 100% !important;
}

.mappa-button::before {
    font-family: "Font Awesome 5 Free";
    content: "\f5a0"; /* Matita */
    font-weight: 900;
    font-size: 18px;
}
.mappa-button:hover {
    background-color: rgb(49, 35, 132) !important;
    border: 2px solid rgb(49, 35, 132) !important;
    color: rgb(255, 255, 255) !important;
    padding: 10px;
    border-radius: 8px;
}

.modifica-button {
    background-color: rgb(255, 255, 255) !important;
    border: 2px solid rgb(49, 35, 132) !important;
    color: rgb(49, 35, 132) !important;
    padding: 10px;
    margin: 10px;
    border-radius: 8px;
    width: 100% !important;
}

.modifica-button::before {
    font-family: "Font Awesome 5 Free";
    content: "\f044"; /* Matita */
    font-weight: 900;
    font-size: 18px;
}
.modifica-button:hover {
    background-color: rgb(49, 35, 132) !important;
    border: 2px solid rgb(49, 35, 132) !important;
    color: rgb(255, 255, 255) !important;
    padding: 10px;
    border-radius: 8px;
}

.conf-button {
    background-color: rgb(255, 255, 255) !important;
    border: 2px solid rgb(49, 35, 132) !important;
    color: rgb(49, 35, 132) !important;
    padding: 10px;
    margin: 10px;
    border-radius: 8px;
    width: 100% !important;
}

.conf-button::before {
    font-family: "Font Awesome 5 Free";
    content: "\f00c"; 
    font-weight: 900;
    font-size: 18px;
}
.conf-button:hover {
    background-color: rgb(49, 35, 132) !important;
    border: 2px solid rgb(49, 35, 132) !important;
    color: rgb(255, 255, 255) !important;
    padding: 10px;
    border-radius: 8px;
}

.swal2-confirm {
    background-color: rgb(49, 35, 132)!important;   /* Colore di sfondo */
    color: white !important;                 /* Colore del testo */
    font-size: 16px !important;              /* Dimensione del testo */
    padding: 10px 20px !important;           /* Padding */
    border-radius: 8px !important;           /* Angoli arrotondati */
    border: none !important;                 /* Rimuove il bordo */
    transition: background-color 0.3s ease !important;  /* Transizione per il colore di sfondo */
}

/* Personalizza il bottone di annullamento */
.swal2-cancel {
    background-color: #FF6347 !important;   /* Colore di sfondo */
    color: white !important;                 /* Colore del testo */
    font-size: 16px !important;              /* Dimensione del testo */
    padding: 10px 20px !important;           /* Padding */
    border-radius: 8px !important;           /* Angoli arrotondati */
    border: none !important;                 /* Rimuove il bordo */
    transition: background-color 0.3s ease !important;  /* Transizione per il colore di sfondo */
}
.big-button {
    font-size: 18px; /* Dimensione del testo */
    padding: 15px 30px; /* Aumenta l'altezza e la larghezza */
    border-radius: 8px; /* Rende il pulsante con angoli arrotondati */
    width: 250px;
}


.map {
    width: 100% !important;
    height: 100vh !important;
    margin: 3px !important;
}

.swal2-html-container {
    z-index: 1;
    justify-content: center;
    margin: 0px !important; 
    padding: 0px;
    overflow: auto;
    color: inherit;
    font-size: 1.125em;
    font-weight: normal;
    line-height: normal;
    text-align: center;
    word-wrap: break-word;
    word-break: break-word;
}

.database {
    background-color: green; 
    color: white; 
    position: fixed; 
    bottom: 10px; 
    left: 10px;
    right: 10px;
    padding: 5px; 
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
}

.settaggi::before {
    color: rgb(243, 38, 38); 
    position: fixed; 
    top: 30px; 
    left: 20px;
    padding: 10px; 
    text-align: center; 
    border-radius: 8px;
    font-family: "Font Awesome 5 Free";
    content: "\f0c9"; 
    font-size: 18px; 
    font-weight: 900;
}

.conferme {
    background-color: rgba(255, 188, 111, 0.877); 
    color: rgb(102, 100, 100); 
    position: fixed; 
    bottom: 10px; 
    left: 10px;
    right: 10px;
    padding: 10px; 
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    font-size: 18px;
}

.versione {
    background-color: rgba(190, 190, 190, 0.74); 
    color: rgb(255, 255, 255); 
    position: fixed; 
    bottom: 10px; 
    left: 10px;
    right: 10px;
    padding: 10px; 
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    font-size: 18px;
}

.logerror {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    background-color: rgb(253, 92, 80); 
    color: white; 
    position: relative; 
    margin: 10pz;
    padding: 10px; 
    max-width: 400px;
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
}

footer {
    height: 60px;
    background-color: #ffffff;
}
/* Imposta il video come sfondo */
#mioVideo {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    object-fit: contain; /* Adatta il video alla finestra */
    z-index: -1; /* Porta il video dietro il contenuto */
}

#mioVideo_large {
    position: fixed;
    bottom: 0;
    left: 50%; /* Move it 50% from the left */
    transform: translateX(-50%); /* Adjust for the element's width to truly center it */
    height: 100%;
    object-fit: contain;
    z-index: -1; /* Keep the video behind the content */
}

/* Overlay per il contenuto sopra il video */
.overlay {
    position: absolute;
    top: 65%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: white;
    font-family: 'Poppins', sans-serif;
}

.grafico-wrapper {
    width: 100%;
    max-width: 100%;
    padding: 1rem;
}

#grafico-torta {
    width: 100%;
    max-width: 700px;
    height: auto;
    margin: auto;
    display: block;
}

.show-on-large {
    display: none;
}

.leaflet-top {
    display: none !important;
}
.leaflet-control-attribution {
    display: none !important;
}
@media (min-width: 992px) {
    .show-on-large {
        display: block;
    }
}

/* Mostra solo su schermi piccoli (larghezza inferiore a 992px) */
.show-on-small {
    display: block;
}

@media (min-width: 992px) {
    .show-on-small {
        display: none;
    }
}

.goog-te-banner-frame {
    display: none !important;
    }

    .switch {
  position: relative;
  display: inline-block;
  width: 50px;
  height: 28px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}
.switch input:focus {
    outline: none !important;
    box-shadow: none !important;
    background-color: transparent !important;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  transition: .4s;
  border-radius: 34px;
}

.slider:before {
  position: absolute;
  content: "";
  height: 20px;
  width: 20px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  transition: .4s;
  border-radius: 50%;
}

input:checked + .slider {
  background-color: rgb(49, 35, 132);
}

input:checked + .slider:before {
  transform: translateX(22px);
}

.aut-level-error {
   background-color: rgba(255, 188, 111, 0.877); 
    color: rgb(102, 100, 100); 
    position: fixed; 
    left: 20px;
    right: 20px;
    padding: 10px;
	margin-top: 200px;
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    font-size: 18px;
}

.admin-icon::before {
    color: rgba(255, 188, 111, 0.877);
    position: fixed; 
    top: 30px; 
    right: 20px;
    padding: 10px; 
    text-align: center; 
    border-radius: 100px;
    font-family: "Font Awesome 5 Free";
    content: "\f071"; 
    font-size: 18px; 
    font-weight: 900;
}